Org Drift
sfp server API reference for Org Drift: 16 endpoints.
/sfp/api/org-drift/scheduleAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/sfp/api/org-drift/schedule" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "flxbl-io/sf-core", "environment": "prod", "enabled": true }'/sfp/api/org-drift/scheduleAuthorization
access-token In: header
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/schedule?repositoryIdentifier=string&environment=string"/sfp/api/org-drift/triggerAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/org-drift/trigger" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "flxbl-io/sf-core", "environment": "prod" }'/sfp/api/org-drift/runsAuthorization
access-token In: header
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/runs?repositoryIdentifier=string&environment=string&status=string&limit=string"/sfp/api/org-drift/runs/latestAuthorization
access-token In: header
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/runs/latest?repositoryIdentifier=string&environment=string&includeEntries=string"/sfp/api/org-drift/entriesAuthorization
access-token In: header
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/entries?repositoryIdentifier=string&environment=string&branch=string&packageName=string&packageNames=string&status=string&classification=string&severity=string&search=string&includeSilenced=string&limit=string"/sfp/api/org-drift/entries/{entryId}Authorization
access-token In: header
Path Parameters
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/entries/string?repositoryIdentifier=string"/sfp/api/org-drift/entries/{entryId}/variantsAuthorization
access-token In: header
Path Parameters
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/entries/string/variants?repositoryIdentifier=string"/sfp/api/org-drift/entries/{entryId}/contentAuthorization
access-token In: header
Path Parameters
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/entries/string/content?side=string&repositoryIdentifier=string"/sfp/api/org-drift/entries/{entryId}/content/downloadAuthorization
access-token In: header
Path Parameters
Query Parameters
Response Body
curl -X GET "https://example.com/sfp/api/org-drift/entries/string/content/download?side=string&repositoryIdentifier=string"/sfp/api/org-drift/entries/{entryId}/acknowledgeAuthorization
access-token In: header
Path Parameters
Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/sfp/api/org-drift/entries/string/acknowledge?repositoryIdentifier=string" \ -H "Content-Type: application/json" \ -d '{}'/sfp/api/org-drift/entries/{entryId}/reopenAuthorization
access-token In: header
Path Parameters
Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/sfp/api/org-drift/entries/string/reopen?repositoryIdentifier=string" \ -H "Content-Type: application/json" \ -d '{}'/sfp/api/org-drift/internal/runs/startAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/org-drift/internal/runs/start" \ -H "Content-Type: application/json" \ -d '{}'/sfp/api/org-drift/internal/resultsAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/org-drift/internal/results" \ -H "Content-Type: application/json" \ -d '{}'/sfp/api/org-drift/internal/failuresAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/org-drift/internal/failures" \ -H "Content-Type: application/json" \ -d '{}'/sfp/api/org-drift/internal/artifacts/cleanupAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/org-drift/internal/artifacts/cleanup" \ -H "Content-Type: application/json" \ -d '{}'